package go_handler_template

const ServiceTestPipeline = `
kind: pipeline
type: docker
name: 部署test-service-{{ .Name }}

steps:
  - name: build
    image: plugins/docker
    settings:
      username:
        from_secret: reg_username
      password:
        from_secret: reg_password
      repo: reg.icechen.cn/{{ .NameSpace }}/service-{{ .Name }}
      registry: reg.icechen.cn
      tags:
        - ${DRONE_COMMIT:0:8}
        - latest
      dockerfile: ./{{ .Root }}/Dockerfile

  - name: deploy
    image: bitsbeats/drone-helm3
    settings:
      kube_api_server:
        from_secret: kubernetes_server_test
      kube_token:
        from_secret: kubernetes_token_test
      kube_certificate:
        from_secret: kubernetes_cert_test
      chart: ./{{ .Root }}/deploy
      release: service-{{ .Name }}
      wait: true
      namespace: {{ .NameSpace }}
      values:
        - nameSpace={{ .NameSpace }}
        - aliasName={{ .AliasName }}
        - image=reg.icechen.cn/{{ .NameSpace }}/service-{{ .Name }}
        - imageTag=${DRONE_COMMIT:0:8}
        - port={{ .Port }}
`
